rda2LazyLoadDB <- function(package, lib.loc = NULL) {
    pkgpath <- .find.package(package, lib.loc, quiet = TRUE)
    if(length(pkgpath) == 0)
        stop(paste("There is no package called", sQuote(package)))
    rdafile <- file.path(pkgpath, "R", "all.rda")
    if (! file.exists(rdafile))
        stop(paste("Package", sQuote(package), "has no .rda file"))
    dbbase <- file.path(pkgpath, "R", package)
    e <-new.env(hash=TRUE)
    load(rdafile, e)
    makeLazyLoadDB(e, dbbase)
}
